pro MSP_PPOL_Save_Group_File, Event
	;
	;	saves the group summary structure to the indicated save file
	;
	;	and saves history, if present
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	;
	s_ptr = PTR_struct.PTR_summary
	g_ptr = PTR_struct.PTR_group
	h_ptr = PTR_struct.PTR_history
	;
	;	check that there is something in the analysis dir buffer
	;
	if((*s_ptr).analysis_dir ne '') then begin
		file = (*s_ptr).analysis_dir + 'S1_Image_Groups_and_Meta_Groups' + PATH_SEP() + 'Group_Summary.sav'
		print_text, Event, "Saving Group File to "+file
		SAVE, g_ptr, DESCRIPTION="PPOL Group Summary File ", FILENAME=file
		;
		;	try to save history to history save file
		;
		n_history_total = TOTAL( (*h_ptr).n_history[*])
		file = (*s_ptr).analysis_dir + 'S1_Image_Groups_and_Meta_Groups' + PATH_SEP() + 'Problem_History.sav'
		if(n_history_total gt 0) then begin
			print_text, Event, "Saving Problem History to "+file
		endif else print_text, Event, "Clearing Problem History file on disk"
		SAVE, h_ptr, DESCRIPTION="PPOL Problem History File ", FILENAME=file
		;
	endif else begin
		print_text, Event, "ERROR - must select New or Existing analysis directory first"
	endelse
	;
end
