pro ap_polpa2uq, pol_in, pa_in, u_out, q_out

;all should be dblarr(2), with (0) being the value and (1) being the sig
;it's expecting pa to be in degrees

dtor=!pi/180.

u=dblarr(2)
q=dblarr(2)

pa=pa_in*dtor

u(0)=pol_in(0)*sin(pa(0)*2)
q(0)=pol_in(0)*cos(pa(0)*2)

dudp=sin(pa(0)*2)
dudpa=2.0*pol_in(0)*cos(pa(0)*2)

dqdp=cos(pa(0)*2)
dqdpa=2.0*pol_in(0)*sin(pa(0)*2)*(-1)

u(1)=sqrt( dudp^2*pol_in(1)^2 + dudpa^2*pa(1)^2 )
q(1)=sqrt( dqdp^2*pol_in(1)^2 + dqdpa^2*pa(1)^2 )

u_out=u
q_out=q

end