function d_angle_zero, input_angle
;
;	computes the deviation angle, in degrees, away from
;	zero degrees, for the input_angle (in degrees), assuming
;	180 deg ambiguity
;
;	dpc	20081226
;
angle = (720.0d0 + input_angle) MOD 360.0d0
;
if(angle gt 0.0) then begin
	if(angle le 90.0) then begin
		output_angle = angle
	endif else begin
		if(angle gt 90.0 and angle lt 180.0) then begin
			output_angle = 180.0 - angle
		endif else begin
			if(angle ge 180.0 and angle lt 270.0) then begin
				output_angle = angle - 180.0
			endif else begin
				output_angle = 360.0 - angle
			endelse
		endelse
	endelse
endif else begin
	print, "ERROR - negative angle in d_angle_zero"
endelse
;
return, output_angle
end