pro fix_images
;
;	operates on images in Step_3_Astrometry directory to apply model_bad_pixels.pro
;	cleaning of image pixels
;
;	DPC - 20120604 - for retro application - newer operation with PPOL do this
;					 as part of Step 3
;
files_in = dialog_pickfile(Title='Select Input Images',/multiple_files)
dir_out = dialog_pickfile(Title='Select Destination Directory',/dir)
;
;	for each image, read, save header, model bad pixels, write to output directory
;
n = N_ELEMENTS(files_in)
;
for i = 0, n-1 do begin
	;
	image = readfits(files_in[i],header)
	new_image = model_bad_pixels(image)
	;
	outpath = dir_out + PATH_SEP() + FILE_BASENAME(files_in[i])
	;
	writefits, outpath, new_image, header
endfor
;
print, 'Done!'
end