function stokes_i_dispersion, mag_vec, magerr_vec,hwp_angle_vec
;
;	computes the magnitude uncertainty via the rms of the
;	Stokes I values (up to 8)
;
;	DPC	20120319	initiated
;
;	map of the I combos
;
f_ii = dblarr(8)
nf = 0L
;
ii_ind = WHERE(hwp_test(hwp_angle_vec,0.0)  or hwp_test(hwp_angle_vec,45.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,22.5) or hwp_test(hwp_angle_vec,67.5),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,90.0) or hwp_test(hwp_angle_vec,135.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,112.5) or hwp_test(hwp_angle_vec,157.5),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,0.0+180.0)  or hwp_test(hwp_angle_vec,45.0+180.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,22.5+180.0) or hwp_test(hwp_angle_vec,67.5+180.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,90.0+180.0) or hwp_test(hwp_angle_vec,135.0+180.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
ii_ind = WHERE(hwp_test(hwp_angle_vec,112.5+180.0) or hwp_test(hwp_angle_vec,157.5+180.0),n)
if(n eq 2) then begin
	f_ii[nf] = 10.0^(-0.4*mag_vec[ii_ind[0]]) + 10.0^(-0.4*mag_vec[ii_ind[1]])
	nf++
endif
;
if(nf gt 2) then begin
	zz = median_filtered_mean(f_ii[0:nf-1])
	;
	mag_uncert = 1.086 * zz[1] / zz[0]
endif else begin
	mag_uncert = 1.99
endelse
;
return, mag_uncert
;
end
