; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	06/05/2012 13:35.46
; 
pro ID_GUI_Base_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='ID_GUI_Base'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Draw_Window'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 0 )then $
          ID_Handler, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 1 )then $
          ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Image_Offset_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Image_Scale_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_NGrid_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Delete_Grid_Point_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Grid_Radius_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Reset_All_Deleted_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Undelete_Point_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Fit_Background_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Redisplay_Image_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Display_Background_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Display_Image_Minus_Background_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Exit_With_Background_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Exit_No_Background_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Add_Point_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Remove_All_Points_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Max_Fit_Order_Slider'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_SLIDER' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Generate_Grid_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Show_Points_Checkbox'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Save_Image_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='ID_Read_Grid_File_Button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        ID_Handler, Event
    end
    else:
  endcase

end

pro ID_GUI_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_

; Floating or modal bases must have a Group Leader.

  if(N_Elements(wGroup) eq 0)then $
     Message,'Group leader must be specified for Modal or Floating'+ $
      ' top level bases'

  Resolve_Routine, 'ID_GUI_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  ID_GUI_Base = Widget_Base( GROUP_LEADER=wGroup, UNAME='ID_GUI_Base'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=1200 ,SCR_YSIZE=730  $
      ,NOTIFY_REALIZE='ID_Realize' ,KILL_NOTIFY='ID_Return'  $
      ,TITLE='MSP-PPOL Image Display GUI v1.0.0 20110824' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3 ,/MODAL ,/FLOATING)

  
  ID_PostCreation, ID_GUI_Base, _EXTRA=_VWBExtra_

  
  ID_Base = Widget_Base(ID_GUI_Base, UNAME='ID_Base' ,XOFFSET=5  $
      ,YOFFSET=5 ,SCR_XSIZE=1180 ,SCR_YSIZE=690 ,TITLE='IDL' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3)

  
  ID_Draw_Window = Widget_Draw(ID_Base, UNAME='ID_Draw_Window'  $
      ,FRAME=1 ,XOFFSET=6 ,YOFFSET=5 ,SCR_XSIZE=675 ,SCR_YSIZE=675  $
      ,/BUTTON_EVENTS)

  
  WID_LABEL_0 = Widget_Label(ID_Base, UNAME='WID_LABEL_0'  $
      ,XOFFSET=765 ,YOFFSET=50 ,/ALIGN_LEFT ,VALUE='Background'+ $
      ' Modeler')

  
  ID_Image_Offset_Slider = Widget_Slider(ID_Base,  $
      UNAME='ID_Image_Offset_Slider' ,FRAME=1 ,XOFFSET=754  $
      ,YOFFSET=94 ,SCR_XSIZE=400 ,SCR_YSIZE=50 ,TITLE='Image Display'+ $
      ' Offset Value' ,VALUE=50)

  
  ID_Image_Scale_Slider = Widget_Slider(ID_Base,  $
      UNAME='ID_Image_Scale_Slider' ,FRAME=1 ,XOFFSET=756  $
      ,YOFFSET=156 ,SCR_XSIZE=400 ,SCR_YSIZE=50 ,TITLE='Image Display'+ $
      ' Scaling Value' ,VALUE=50)

  
  ID_NGrid_Slider = Widget_Slider(ID_Base, UNAME='ID_NGrid_Slider'  $
      ,FRAME=1 ,XOFFSET=881 ,YOFFSET=228 ,TITLE='Number of X, Y Grid'+ $
      ' Positions' ,MINIMUM=2 ,MAXIMUM=50 ,VALUE=7)

  
  ID_Delete_Grid_Point_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Delete_Grid_Point_Button' ,XOFFSET=893 ,YOFFSET=306  $
      ,/ALIGN_CENTER ,VALUE='Delete Point')

  
  ID_Grid_Radius_Slider = Widget_Slider(ID_Base,  $
      UNAME='ID_Grid_Radius_Slider' ,FRAME=1 ,XOFFSET=1036  $
      ,YOFFSET=229 ,TITLE='Radius of Zone Footprint' ,MINIMUM=10  $
      ,MAXIMUM=200 ,VALUE=30)

  
  ID_Reset_All_Deleted_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Reset_All_Deleted_Button' ,XOFFSET=1019 ,YOFFSET=307  $
      ,/ALIGN_CENTER ,VALUE='UnDeleted All Points')

  
  ID_Undelete_Point_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Undelete_Point_Button' ,XOFFSET=889 ,YOFFSET=349  $
      ,/ALIGN_CENTER ,VALUE='Undelete Point')

  
  ID_Fit_Background_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Fit_Background_Button' ,XOFFSET=749 ,YOFFSET=476  $
      ,/ALIGN_CENTER ,VALUE='Fit Background Model')

  
  ID_Redisplay_Image_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Redisplay_Image_Button' ,XOFFSET=1028 ,YOFFSET=404  $
      ,/ALIGN_CENTER ,VALUE='(Re)Display Image')

  
  ID_Display_Background_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Display_Background_Button' ,XOFFSET=956 ,YOFFSET=437  $
      ,/ALIGN_CENTER ,VALUE='Display Background Model Image')

  
  ID_Display_Image_Minus_Background_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Display_Image_Minus_Background_Button' ,XOFFSET=1030  $
      ,YOFFSET=471 ,/ALIGN_CENTER ,VALUE='Display Difference')

  
  ID_Exit_With_Background_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Exit_With_Background_Button' ,XOFFSET=958  $
      ,YOFFSET=560 ,/ALIGN_CENTER ,VALUE='Exit, Returning Background'+ $
      ' Points')

  
  ID_Exit_No_Background_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Exit_No_Background_Button' ,XOFFSET=710 ,YOFFSET=561  $
      ,/ALIGN_CENTER ,VALUE='Exit, WITHOUT Background Points')

  
  ID_Image_Size_Textbox = Widget_Text(ID_Base,  $
      UNAME='ID_Image_Size_Textbox' ,XOFFSET=964 ,YOFFSET=60  $
      ,XSIZE=20 ,YSIZE=1)

  
  WID_LABEL_1 = Widget_Label(ID_Base, UNAME='WID_LABEL_1'  $
      ,XOFFSET=1110 ,YOFFSET=63 ,/ALIGN_LEFT ,VALUE='Image Size')

  
  ID_Image_Name_Textbox = Widget_Text(ID_Base,  $
      UNAME='ID_Image_Name_Textbox' ,XOFFSET=906 ,YOFFSET=25  $
      ,XSIZE=30 ,YSIZE=1)

  
  WID_LABEL_2 = Widget_Label(ID_Base, UNAME='WID_LABEL_2'  $
      ,XOFFSET=1109 ,YOFFSET=28 ,/ALIGN_LEFT ,VALUE='Image Name')

  
  ID_Add_Point_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Add_Point_Button' ,XOFFSET=765 ,YOFFSET=348  $
      ,/ALIGN_CENTER ,VALUE='Add Point')

  
  ID_Remove_All_Points_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Remove_All_Points_Button' ,XOFFSET=1026 ,YOFFSET=350  $
      ,/ALIGN_CENTER ,VALUE='Remove All Points')

  
  ID_Max_Fit_Order_Slider = Widget_Slider(ID_Base,  $
      UNAME='ID_Max_Fit_Order_Slider' ,FRAME=1 ,XOFFSET=750  $
      ,YOFFSET=407 ,TITLE='Maximum Fit Order (1-D)' ,MAXIMUM=4  $
      ,VALUE=2)

  
  ID_Bottom_Textbox = Widget_Text(ID_Base, UNAME='ID_Bottom_Textbox'  $
      ,XOFFSET=726 ,YOFFSET=597 ,SCR_XSIZE=421 ,SCR_YSIZE=77 ,/SCROLL  $
      ,/WRAP ,XSIZE=20 ,YSIZE=3)

  
  ID_Generate_Grid_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Generate_Grid_Button' ,XOFFSET=752 ,YOFFSET=227  $
      ,/ALIGN_CENTER ,VALUE='Generate Grid')

  
  WID_BASE_0 = Widget_Base(ID_Base, UNAME='WID_BASE_0' ,XOFFSET=757  $
      ,YOFFSET=307 ,TITLE='IDL' ,COLUMN=1 ,/NONEXCLUSIVE)

  
  ID_Show_Points_Checkbox = Widget_Button(WID_BASE_0,  $
      UNAME='ID_Show_Points_Checkbox' ,/ALIGN_LEFT ,VALUE='Show'+ $
      ' Points')

  
  ID_Save_Image_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Save_Image_Button' ,XOFFSET=835 ,YOFFSET=518  $
      ,/ALIGN_CENTER ,VALUE='Save Currently Displayed Image to FITS'+ $
      ' File')

  
  ID_Read_Grid_File_Button = Widget_Button(ID_Base,  $
      UNAME='ID_Read_Grid_File_Button' ,XOFFSET=733 ,YOFFSET=265  $
      ,/ALIGN_CENTER ,VALUE='Read Existing Grid File')

  Widget_Control, /REALIZE, ID_GUI_Base

  XManager, 'ID_GUI_Base', ID_GUI_Base, /NO_BLOCK  ,CLEANUP='ID_Return'  

end
; 
; Empty stub procedure used for autoloading.
; 
pro ID_GUI, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  ID_GUI_Base, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
end
