function s10_estimate_distance, n_per_grid, n_pts
;
;	estimates the right distance to get (on average) n_per_grid data
;	points within the "dist" cut-off for an image
;
n_pixels = 1024.0d0 * 1026.0d0
pix_per_pt = n_pixels / float(n_pts)
radius_per_pt = sqrt(pix_per_pt)
;
radius = sqrt(float(n_per_grid)) * radius_per_pt / sqrt(!PI)
radius = sqrt(2.0) * radius
;
return, radius
end